SLARRC(3f)

NAME
SLARRC - number of eigenvalues of the symmetric tridiagonal matrix T that are in the interval (VL,VU] if JOBT = 'T', and of L D L^T if JOBT = 'L'

SYNOPSIS

SUBROUTINE SLARRC(
    JOBT, N, VL, VU, D, E, PIVMIN, EIGCNT, LCNT, RCNT, INFO )

CHARACTER
    JOBT

INTEGER
    EIGCNT, INFO, LCNT, N, RCNT

REAL
    PIVMIN, VL, VU

REAL
    D( * ), E( * )

PURPOSE
Find the number of eigenvalues of the symmetric tridiagonal matrix T that are in the interval (VL,VU] if JOBT = 'T', and of L D L^T if JOBT = 'L'.

ARGUMENTS

JOBT    (input) CHARACTER*1
    = 'T': Compute Sturm count for matrix T.
    = 'L': Compute Sturm count for matrix L D L^T.

N       (input) INTEGER
    The order of the matrix. N > 0.

VL      (input) DOUBLE PRECISION
    VU (input) DOUBLE PRECISION The lower and upper bounds for the eigenvalues.

D       (input) DOUBLE PRECISION array, dimension (N)
    JOBT = 'T': The N diagonal elements of the tridiagonal matrix T.
    JOBT = 'L': The N diagonal elements of the diagonal matrix D.

E       (input) DOUBLE PRECISION array, dimension (N)
    JOBT = 'T': The N-1 offdiagonal elements of the matrix T.
    JOBT = 'L': The N-1 offdiagonal elements of the matrix L.

PIVMIN  (input) DOUBLE PRECISION
    The minimum pivot in the Sturm sequence for T.

EIGCNT  (output) INTEGER
    The number of eigenvalues of the symmetric tridiagonal matrix T that are in the interval (VL,VU]

LCNT    (output) INTEGER
    RCNT (output) INTEGER The left and right negcounts of the interval.

INFO    (output) INTEGER

FURTHER DETAILS
Based on contributions by
   Beresford Parlett, University of California, Berkeley, USA
   Jim Demmel, University of California, Berkeley, USA
   Inderjit Dhillon, University of Texas, Austin, USA
   Osni Marques, LBNL/NERSC, USA
   Christof Voemel, University of California, Berkeley, USA